Kodi18 beta 4 and missing PVRs?
#1
Hi all,
Could someone be so kind to either tell how install a pvr-add-on for kodi18 beta (or point me somewhere where i can find info?). I updated to kodi18 because the pvr which I am interested in (pvr-teleboy) became part to the official repository, so i thought it would be "straight-forward" to install it. obviously it wasnt...
If i get to "add-ons-->install from repository-->Kodi Add-on repository--> first of all there is no "PVR" folder there and i cant find the teleboy pvr.
If i go to "add-ons--> download--> PVR client --> i see only two entries (which maybe at some point i downloaded them).
Please help any one?
Reply
#2
337622 (thread)
My Signature
Links to : Forum rules (wiki) | Banned_Add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create_Music_Library (wiki) | HOW-TO:Create_Video_Library (wiki) || Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply
#3
what, os? PVR addon's are in the kodi binary repository now, it's not part of kodi it's installed outside.  in linux you have to
sudo apt-get install kodi-pvr-*  with * the name of the addon.  not sure about windows or android but you should be able to find an answer looking for the binary repository and your os
Reply
#4
(2018-11-20, 22:47)Karellen Wrote: 337622 (thread)
Thanks for the reply! Although the problem is very similar, as I describe in my post I cant find "Add-ons > Install from repository > PVR Clients" which is suggested in that post. There is no "PVR Clients" folder under "install from repository"
Reply
#5
(2018-11-20, 22:48)disaacso Wrote: what, os? PVR addon's are in the kodi binary repository now, it's not part of kodi it's installed outside.  in linux you have to
sudo apt-get install kodi-pvr-*  with * the name of the addon.  not sure about windows or android but you should be able to find an answer looking for the binary repository and your os
 Its on raspberry pi 3 running latest Stretch. Running "sudo apt-get install kodi-pvr-teleboy" gives "unable to locate package".
Why is it different from what is it described here : Add-on:Teleboy_PVR_Client (wiki)  Huh?
Reply
#6
It will be in the unstable repository for kodi.  In ubuntu you would do this to add.
sudo add-apt-repository ppa:team-xbmc/unstable
sudo apt-get update

I'm not familiar with stretch so I can't help to much there unfortunately.
Reply
#7
try
apt-cache search kodi
and see what can be installed.

Launchpad shows it in the repo
https://launchpad.net/%7Eteam-xbmc/+arch...&start=150

edit
this shows how to add the repo
https://www.raspberrypi.org/forums/viewt...p?t=222954

edit 2
teleboy isn't in that repo it appears.
Reply
#8
Disaacso thanks for your time!!!
Essentially I am coming from this forum! Thats how i got Kodi18 in the first place, but the "apt-cache search kodi" does not include teleboy-pvr.

Since I did what they suggest, then "sudo apt-get install kodi-pvr-teleboy" give me the same error....
Reply
#9
I made an edit but forgot to submit, teleboy isn't in the stretch repo.  it probably needs to be compiled for stretch, perhaps try to contact pipplware on github to have it added? or the addon creator.
Reply
#10
have you succeded? there is still no kodi18 and pvr-teleboy. i was not able to compile by myselfe. so if you succeeded with debian i would be very interested in the solution....
Reply
#11
Kodi 18 and pvr-teleboy are available in Raspbian Stretch (for the Raspberry Pi):
Code:
$ apt-cache policy kodi
kodi:
  Installed: 2:18.2-1~stretch
  Candidate: 2:18.2-1~stretch
  Version table:
 *** 2:18.2-1~stretch 500
        500 http://archive.raspberrypi.org/debian stretch/main armhf Packages
        100 /var/lib/dpkg/status
     2:17.1+dfsg1-3 500
        500 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages
$ apt-cache policy kodi-pvr-teleboy
kodi-pvr-teleboy:
  Installed: (none)
  Candidate: 18.0.24-1~stretch
  Version table:
     18.0.24-1~stretch 500
        500 http://archive.raspberrypi.org/debian stretch/main armhf Packages

If you are talking about Debian Stretch for x86, no, they aren't available in the repos, the latest available is Kodi 17. You will have to compile it yourself.
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
Kodi18 beta 4 and missing PVRs?00